Subject: RE: Succsessfull GCC 3.1 with Cygwin and GNAT
From: Nicholas Wourms <[email-masked]>
To: "Billinghurst, David \(CRTS\)" <[email-masked]>, Andre Leis <[email-masked]>, [email-masked]
Cc: [email-masked]
Date: Tue, 4 Jun 2002 04:27:21 -0700 (PDT)

Hi,

Quick question, doesn't cygwin have enough support to use Posix Threads? 
Or should we still stick to Win32 threading?

Cheers,
Nicholas
--- "Billinghurst, David (CRTS)" <[email-masked]> wrote:
> OK.  This works for me too.
> 
> Some additional details:
>   - the bootstrap compiler is the gnat-3.14p-nt.exe package
>   - it works by configuring with a relative path, so that
>     the native win32 bootstrap compiler isn't confused by 
>     cygwin paths
>   - the same trick doesn't work with gcc-3.2 as gnatmake chokes
> 
> The resulting cygwin 3.1 gcc works nicely as a bootstrap
> compiler, so I will attempt to build ada as part of my 
> regular testing.
> 
> -----Original Message-----
> From: Andre Leis [mailto:[email-masked]]
> Sent: Tuesday, 28 May 2002 7:01 
> To: [email-masked]
> Subject: Succsessfull GCC 3.1 with Cygwin and GNAT
> 
> 
> Hello!
> 
> I used the lastest version of cygwin to build gcc3.1.I expirenced some
> problems wich mainly where caused by myself. I renamed /gnat/bin/gcc to
> /gnat/bin/gnatgcc and had gnat/bin/ in my path.
> 
> ../gcc-3.1/configure --enable-threads=win32
> 
> During the configure run I checked, that a ada compiler was found and
> objdir/gcc/ada was created.
> 
> After the make run with :
> 
> make CFLAGS='-O' LIBCFLAGS='-g -O2'
> LIBCXXFLAGS='-g -O2 -fno-implicit-templates' bootstrap
> 
> I tried to make the ada-libs and tools with
> 
> cd gcc
> make gnatlib_and_tools
> 
> This make run always ended up in an error in sysdep.c.
> ICANON was not defined.
> 
> I tried to change in sysdep.c.
> 
> 
> #if defined (linux) || defined (sun) || defined (sgi) || defined
> (__EMX__) \
>   || (defined (__osf__) && ! defined (__alpha_vxworks)) || defined
> (WINNT) \
>   || defined (__MACHTEN__)
> #include <termios.h>
> 
> into
> 
> #if defined (linux) || defined (sun) || defined (sgi) || defined
> (__EMX__) \
>   || (defined (__osf__) && ! defined (__alpha_vxworks)) || defined
> (WINNT) \
>   || defined (__MACHTEN__) || defined (__CYGWIN32__)
> #include <termios.h>
> 
> With this new sysdep.c I could succsessfull build and install the ada
> libs
> and tools.
> 
> Btw.
> 
> $ ../gcc-3.1/config.guess
> i686-pc-cygwin
> 
> $ gcc -v
> Reading specs from /usr/local/lib/gcc-lib/i686-pc-cygwin/3.1/specs
> Configured with: ../gcc-3.1/configure --enable-threads=win32 :
> (reconfigured) ..
> /gcc-3.1/configure --enable-threads=win32
> Thread model: win32
> gcc version 3.1
> 
> $ uname -a
> CYGWIN_NT-5.0 SLARTIBARTFASS 1.3.10(0.51/3/2) 2002-02-25 11:14 i686
> unknown
> 
> 
> André
> 
> 
> --
> Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
> Bug reporting:         http://cygwin.com/bugs.html
> Documentation:         http://cygwin.com/docs.html
> FAQ:                   http://cygwin.com/faq/
> 

__________________________________________________
Do You Yahoo!?
Yahoo! - Official partner of 2002 FIFA World Cup
http://fifaworldcup.yahoo.com

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/